import React from 'react';
import Maze from "./Maze";
import {maze1, maze2, maze3} from "./testdata";

export default function Square() {
    const mazes = [{grid: [[]]}, maze1, maze2, maze3];
    const renderedMazes = mazes.map(maze => (<div>
        <h1>The Maze ({maze.width}x{maze.height}).</h1>
        <Maze labyrinth={maze}/>
    </div>))
    return (
        <div>
            {renderedMazes}
        </div>
    );
}
