import React from 'react';

export default function Cell({spec, rowIndex, cellIndex}) {
    let classes = "cell r" + rowIndex + " c" + cellIndex;
    if (spec.top) classes += " top";
    if (spec.right) classes += " right";
    if (spec.bottom) classes += " bottom";
    if (spec.left) classes += " left";
    if (spec.solution) classes += " solution";
    if (spec.user) classes += " user";
    return (
        <div className={classes}>
        </div>
    );
}
