import React from 'react';
import Cell from "./Cell";

export default function Row({spec, index}) {
    const cells = spec.map((cell, cellIdx) => <Cell key={"c" + index + "-" + cellIdx}
                                                    spec={cell}
                                                    rowIndex={index}
                                                    cellIndex={cellIdx}/>)
    return (
        <div className={"row"}>
            {cells}
        </div>
    );
}
