import React from 'react';
import Row from "./Row";


export default function Maze({labyrinth}) {
    const maze = labyrinth.grid.map((row, rowIdx) => <Row key={"r" + rowIdx} spec={row}
                                                          index={rowIdx}/>);
    return (
        <div className={"maze"}>
            {maze}
        </div>
    );
}
